Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wsrp.registry.find
Enum FindRequest.SearchOrder

    java.lang.Object
      java.lang.Enum<FindRequest.SearchOrder>
          com.bea.wsrp.registry.find.FindRequest.SearchOrder

All Implemented Interfaces
  Serializable, Comparable<FindRequest.SearchOrder>

Enclosing class:
  FindRequest

    public static enum FindRequest.SearchOrder

extends Enum<FindRequest.SearchOrder>

Search order

Enum Constant Summary
`sortByDateAsc` Sory by date last updated in the ascending order.
`sortByDateDesc` Sorty by date last updated in the descending order.
`sortByNameAsc` Sort ny name in the ascending order.
`sortByNameDesc` Sorty by name in the descending order.

Method Summary
`static FindRequest.SearchOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FindRequest.SearchOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### sortByNameAsc

    public static final FindRequest.SearchOrder sortByNameAsc

  Sort ny name in the ascending order.

### sortByNameDesc

    public static final FindRequest.SearchOrder sortByNameDesc

  Sorty by name in the descending order.

### sortByDateAsc

    public static final FindRequest.SearchOrder sortByDateAsc

  Sory by date last updated in the ascending order.

### sortByDateDesc

    public static final FindRequest.SearchOrder sortByDateDesc

  Sorty by date last updated in the descending order.

Method Detail

### values

    public static final FindRequest.SearchOrder[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static FindRequest.SearchOrder valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved